Page MenuHomePhabricator

test data for demo system
Closed, ResolvedPublic5 Story Points

Description

As a Wikidata Bridge tester I want to have some working demo data in order to make testing easier and better understand how the system is supposed to work.

Problem:
The test system created in T224831 needs to be filled with some basic templates, data and articles.

Acceptance criteria:

  • the test system created in T224831 has at least 1 template that is connected to the repo, marked up correctly for use with the Wikidata Bridge and an article showing data and client editing capabilities
  • The examples etc should be in English and on en.beta.wikipedia

Notes:

  • Use South Pole Telescope or a galaxy as inspiration
  • Try to keep it minimal yet relatively realistic (property names, ...)

Open questions:

  • Can we do this in a way that we can easily reset the system later if needed?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2019, 5:48 PM
Charlie_WMDE updated the task description. (Show Details)Jun 3 2019, 8:17 AM

Can we do this in a way that we can easily reset the system later if needed?

One way of doing this is just have a maintenance script that can be run to populate the test set of data. Then if we ever want to re run it we can just run the maintenance script again. (Maybe 2 maintenance scripts as we will have the repo data and also the client wikipages?)

If we want a solution that allows less hands on resetting of the data / more frequent (such as users being able to reset the data) then we would have to think a little more.

Can we do this in a way that we can easily reset the system later if needed?

One way of doing this is just have a maintenance script that can be run to populate the test set of data. Then if we ever want to re run it we can just run the maintenance script again. (Maybe 2 maintenance scripts as we will have the repo data and also the client wikipages?)
If we want a solution that allows less hands on resetting of the data / more frequent (such as users being able to reset the data) then we would have to think a little more.

How about “restore” links like on the Wikidata sandbox talk page? (Note that we’ve now decided to use the beta cluster as the test system, not a separate system that we can easily tear down completely.)

That should work, I guess which way to go depends on how many pages we will need to restore to restore the test data. How many entities and how many wikipages.

For now I think we were thinking of four pages: entity, template, lua module, client page.

Charlie_WMDE updated the task description. (Show Details)Jul 24 2019, 3:25 PM
Lydia_Pintscher updated the task description. (Show Details)
Charlie_WMDE updated the task description. (Show Details)Jul 29 2019, 8:42 AM
Lydia_Pintscher renamed this task from test data for test system to test data for demo system.Aug 9 2019, 12:06 PM
Pablo-WMDE updated the task description. (Show Details)Aug 9 2019, 12:13 PM
Pablo-WMDE set the point value for this task to 5.Aug 27 2019, 8:59 AM
Pablo-WMDE moved this task from Ready to estimate to Ready to pick up on the Wikidata-Bridge board.
Lydia_Pintscher triaged this task as High priority.Sep 20 2019, 10:50 AM
Pablo-WMDE added a subscriber: Pablo-WMDE.EditedSep 25 2019, 11:16 AM

We created https://en.wikipedia.beta.wmflabs.org/wiki/Data_bridge as the place for the showcase (needs to be changed per the task) but decided to maintain https://de.wikipedia.beta.wmflabs.org/wiki/Data-Bridge as the technical playground (table with one line per value type).

We looked at it and the current one at https://en.wikipedia.beta.wmflabs.org/wiki/Wikidata is definitely not minimal. It should be really simple so people can easily see what is happening and not have a lot of unnecessary text and code (wikitext, template, Lua module).

Also taking Wikidata is too self-referential and is probably not the best one to take.

Michael claimed this task.Oct 7 2019, 9:09 AM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-6 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptOct 7 2019, 9:09 AM

Tentative first version: Showcase, Template, Item.

The template surely needs more documentation and has a strange "Pages with script errors" category added to it.

Also, I would like to have a simple Lua module, as discussed in context of T227466. But this may have a lower priority and it depends on how much effort is needed for a sensible implementation.

A (hopefully) simple Lua module exists now as well.

Lydia_Pintscher closed this task as Resolved.Oct 9 2019, 10:40 AM